import { ReporterId } from "./types";
declare type DiffOptions = {
    filePatterns: string[];
    outFile: string;
    auth: string;
    reporters: ReporterId[];
    silent?: boolean;
    thresholds?: {
        each?: string;
        overall?: string;
    };
};
declare const diff: ({ filePatterns, outFile, auth, silent, reporters: reporterIds, thresholds, }: DiffOptions) => Promise<{
    id: string;
    status: import("./services/diff").DiffStatus;
    change: {
        raw: number;
        pretty: string;
        percent: number;
    };
    size: {
        raw: number;
        pretty: string;
    };
    isBelowThreshold: boolean;
}[]>;
export { diff };
export * from "./types";
