"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEnvMockAPI = void 0;
const services_1 = require("../services");
jest.mock("../services/env");
const createEnvMockAPI = () => {
    const defaults = {
        CI_API_V4_URL: "https://gitlab.com/api/v4",
        CI_JOB_NAME: "file-size-change",
        CI_PROJECT_ID: 2,
        CI_PIPELINE_IID: 50192,
        CI_MERGE_REQUEST_IID: 2501,
    };
    let mocked = {
        ...defaults,
    };
    return {
        mock: (overrides) => {
            mocked = {
                ...defaults,
                ...mocked,
                ...overrides,
            };
        },
        setup: () => {
            services_1.getEnv.mockImplementation(() => mocked);
        },
        teardown: () => {
            mocked = {
                ...defaults,
            };
            jest.unmock("../services/env");
        },
    };
};
exports.createEnvMockAPI = createEnvMockAPI;
