declare type Diff = ReturnType<typeof createDiff>;
declare type DiffStatus = "increased" | "decreased" | "unchanged" | "added";
declare const createDiff: ({ id, sizes, threshold, }: {
    id: string;
    sizes: {
        current: number;
        last: number;
    };
    threshold: number | null;
}) => {
    id: string;
    status: DiffStatus;
    change: {
        raw: number;
        pretty: string;
        percent: number;
    };
    size: {
        raw: number;
        pretty: string;
    };
    isBelowThreshold: boolean;
};
export { Diff, DiffStatus, createDiff };
