"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
describe("getReadableFileSize()", () => {
    it("should a human readable string for the given bytes", () => {
        expect((0, index_1.getReadableFileSize)(0)).toBe("0 Bytes");
        expect((0, index_1.getReadableFileSize)(200)).toBe("200 Bytes");
        expect((0, index_1.getReadableFileSize)(200 * 1024)).toBe("200 KB");
        expect((0, index_1.getReadableFileSize)(200 * 1024 * 1024)).toBe("200 MB");
    });
});
describe("parseReadableFileSize()", () => {
    it("should bytes for the human readable string", () => {
        expect((0, index_1.parseReadableFileSize)("0 Bytes")).toBe(0);
        expect((0, index_1.parseReadableFileSize)("200 Bytes")).toBe(200);
        expect((0, index_1.parseReadableFileSize)("200 KB")).toBe(200 * 1024);
        expect((0, index_1.parseReadableFileSize)("200 MB")).toBe(200 * 1024 * 1024);
    });
    it("throw an error for malformed input strings", () => {
        expect(() => (0, index_1.parseReadableFileSize)("nope")).toThrowError('Unable to detect size for "nope"');
        expect(() => (0, index_1.parseReadableFileSize)("MB")).toThrowError('Unable to detect size for "MB"');
        expect(() => (0, index_1.parseReadableFileSize)("0")).toThrowError('Unable to detect size for "0"');
    });
});
