"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.http = void 0;
const got_1 = __importDefault(require("got"));
const createClient = ({ headers }) => {
    const client = got_1.default.extend({
        headers: {
            "Content-Type": "application/json",
            ...headers,
        },
        retry: 0,
        resolveBodyOnly: false,
        throwHttpErrors: false,
    });
    return async (path, options) => {
        const isJsonResponse = (options.headers ?? {})["Accept"] === "application/json";
        return client(path, {
            ...options,
            // @ts-expect-error
            responseType: isJsonResponse ? "json" : "buffer",
        });
    };
};
const http = { createClient };
exports.http = http;
