"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLogger = void 0;
const consola_1 = __importDefault(require("consola"));
const createLogger = ({ silent }) => {
    return {
        debug: (msg, ...args) => {
            if (silent) {
                return;
            }
            consola_1.default.debug(msg, ...args);
        },
        info: (msg, ...args) => {
            if (silent) {
                return;
            }
            consola_1.default.info(msg, ...args);
        },
        warn: (msg, ...args) => {
            if (silent) {
                return;
            }
            consola_1.default.warn(msg, ...args);
        },
        error: (err, msg, ...args) => {
            if (silent) {
                return;
            }
            consola_1.default.error(err, msg, ...args);
        },
        success: (msg, ...args) => {
            if (silent) {
                return;
            }
            consola_1.default.success(msg, ...args);
        },
    };
};
exports.createLogger = createLogger;
