"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.zip = void 0;
const jszip_1 = __importDefault(require("jszip"));
const parse = (fileName, contents) => {
    if (fileName.endsWith(".json")) {
        return JSON.parse(contents);
    }
    return contents;
};
const zip = {
    async extract(buffer) {
        const zip = new jszip_1.default();
        const results = await zip.loadAsync(buffer);
        return await Promise.all(Object.values(results.files)
            .filter((file) => file.dir !== true)
            .map(async (file) => ({
            name: file.name,
            contents: parse(file.name, await file.async("string")),
        })));
    },
    async create(files) {
        const zip = new jszip_1.default();
        files.forEach((file) => zip.file(file.name, file.contents));
        return zip.generateAsync({ type: "nodebuffer" });
    },
};
exports.zip = zip;
